/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
 *
 */
package net.northking.cctp.dw.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.Date;

/**
 * Restful接口--资源详情--数据传输对象：dw用例表
 * <p>
 * createdate:  2022-01-26 15:45:30  <br>
 *
 * @author: maven-cctp-plugin  <br>
 * @since: 1.0 <br>
 */
@JsonSerialize
@ApiModel(description = "dw用例表")
public class DwCaseDesignInfoDetailDto implements Serializable {
    /**
     * 用例主键<br>
     */
    @ApiModelProperty("用例主键")
    @Size(max = 32, message = "用例主键-id: 数据长度不能 > 32")
    private String id;
    /**
     * 所属系统id<br>
     */
    @ApiModelProperty("所属系统id")
    @Size(max = 32, message = "所属系统id-projectId: 数据长度不能 > 32")
    private String projectId;
    /**
     * 创建时间<br>
     */
    @ApiModelProperty("创建时间")
    private Date createdTime;
    /**
     * 创建人<br>
     */
    @ApiModelProperty("创建人")
    @Size(max = 32, message = "创建人-createdBy: 数据长度不能 > 32")
    private String createdBy;
    /**
     * 租户id<br>
     */
    @ApiModelProperty("租户id")
    @Size(max = 32, message = "租户id-tenantId: 数据长度不能 > 32")
    private String tenantId;
    /**
     * 用例类型<br>
     */
    @ApiModelProperty("用例类型")
    private String caseType;

    @ApiModelProperty("状态：0是暂存，1是保存")
    private String caseStatus;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getCaseType() {
        return caseType;
    }

    public void setCaseType(String caseType) {
        this.caseType = caseType;
    }

    public String getCaseStatus() {
        return caseStatus;
    }

    public void setCaseStatus(String caseStatus) {
        this.caseStatus = caseStatus;
    }
}